Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 779 - Errors in compiling new kernel for firewall router
Summary: Errors in compiling new kernel for firewall router
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 5.2
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-11 16:12 UTC by dniederm
Modified: 2016-11-02 18:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-11 16:59:17 UTC


Attachments (Terms of Use)

Description dniederm 1999-01-11 16:12:32 UTC
When attempting to compile a new kernel for a Intel 486
generic machine with 32Meg RAM, 640Meg HD, and two NE2000
compatible cards, using both the 2.0.36-0.7 and 2.0.36-3 rpm
packages (in turn), fatal errors in the source code
prevented compilation. (The error sets did differ between
the two kernel rpm versions--errors in compiling the
firewall.c, and linking the bootsect.o and main.o files
were encountered ) This may be an interaction of the
specific options chosen for the .config file.

The .config file for replication is as follows:
---------------
#
# Automatically generated make config: don't edit
#

#
# Code maturity level options
#
CONFIG_EXPERIMENTAL=y

#
# Loadable module support
#
# CONFIG_MODULES is not set

#
# General setup
#
CONFIG_MATH_EMULATION=y
CONFIG_NET=y
# CONFIG_MAX_16M is not set
# CONFIG_PCI is not set
CONFIG_SYSVIPC=y
CONFIG_BINFMT_AOUT=y
CONFIG_BINFMT_ELF=y
# CONFIG_BINFMT_JAVA is not set
CONFIG_KERNEL_ELF=y
# CONFIG_M386 is not set
CONFIG_M486=y
# CONFIG_M586 is not set
# CONFIG_M686 is not set

#
# Floppy, IDE, and other block devices
#
CONFIG_BLK_DEV_FD=y
CONFIG_BLK_DEV_IDE=y

#
# Please see Documentation/ide.txt for help/info on IDE
drives
#
# CONFIG_BLK_DEV_HD_IDE is not set
CONFIG_BLK_DEV_IDECD=y
# CONFIG_BLK_DEV_IDETAPE is not set
# CONFIG_BLK_DEV_IDEFLOPPY is not set
# CONFIG_BLK_DEV_IDESCSI is not set
# CONFIG_BLK_DEV_IDE_PCMCIA is not set
CONFIG_BLK_DEV_CMD640=y
CONFIG_BLK_DEV_CMD640_ENHANCED=y
# CONFIG_IDE_CHIPSETS is not set

#
# Additional Block Devices
#
CONFIG_BLK_DEV_LOOP=y
# CONFIG_BLK_DEV_MD is not set
# CONFIG_BLK_DEV_RAM is not set
# CONFIG_BLK_DEV_XD is not set
# CONFIG_PARIDE is not set
# CONFIG_BLK_DEV_HD is not set

#
# Networking options
#
CONFIG_FIREWALL=y
# CONFIG_NET_ALIAS is not set
CONFIG_INET=y
CONFIG_IP_FORWARD=y
CONFIG_IP_MULTICAST=y
CONFIG_SYN_COOKIES=y
CONFIG_IP_FIREWALL=y
CONFIG_IP_FIREWALL_VERBOSE=y
CONFIG_IP_MASQUERADE=y

#
# Protocol-specific masquerading support will be built as
modules.
#
CONFIG_IP_MASQUERADE_IPAUTOFW=y
CONFIG_IP_MASQUERADE_ICMP=y
CONFIG_IP_TRANSPARENT_PROXY=y
CONFIG_IP_ALWAYS_DEFRAG=y
CONFIG_IP_ACCT=y
CONFIG_IP_ROUTER=y
CONFIG_NET_IPIP=y
CONFIG_IP_MROUTE=y

#
# (it is safe to leave these untouched)
#
# CONFIG_INET_PCTCP is not set
# CONFIG_INET_RARP is not set
# CONFIG_NO_PATH_MTU_DISCOVERY is not set
CONFIG_IP_NOSR=y
CONFIG_SKB_LARGE=y

#
#
#
# CONFIG_IPX is not set
# CONFIG_ATALK is not set
# CONFIG_AX25 is not set
# CONFIG_BRIDGE is not set
# CONFIG_NETLINK is not set

#
# SCSI support
#
# CONFIG_SCSI is not set

#
# Network device support
#
CONFIG_NETDEVICES=y
CONFIG_DUMMY=y
# CONFIG_EQUALIZER is not set
# CONFIG_DLCI is not set
# CONFIG_PLIP is not set
# CONFIG_PPP is not set
# CONFIG_SLIP is not set
# CONFIG_NET_RADIO is not set
CONFIG_NET_ETHERNET=y
# CONFIG_NET_VENDOR_3COM is not set
# CONFIG_NET_VENDOR_SMC is not set
# CONFIG_NET_PCI is not set
CONFIG_NET_ISA=y
# CONFIG_LANCE is not set
# CONFIG_AT1700 is not set
# CONFIG_E2100 is not set
# CONFIG_DEPCA is not set
# CONFIG_EWRK3 is not set
# CONFIG_EEXPRESS is not set
# CONFIG_EEXPRESS_PRO is not set
# CONFIG_FMV18X is not set
# CONFIG_HPLAN_PLUS is not set
# CONFIG_HPLAN is not set
# CONFIG_HP100 is not set
# CONFIG_ETH16I is not set
CONFIG_NE2000=y
# CONFIG_NI52 is not set
# CONFIG_NI65 is not set
# CONFIG_SEEQ8005 is not set
# CONFIG_SK_G16 is not set
# CONFIG_NET_EISA is not set
# CONFIG_NET_POCKET is not set
# CONFIG_TR is not set
# CONFIG_FDDI is not set
# CONFIG_ARCNET is not set
# CONFIG_SHAPER is not set

#
# ISDN subsystem
#
# CONFIG_ISDN is not set

#
# CD-ROM drivers (not for SCSI or IDE/ATAPI drives)
#
# CONFIG_CD_NO_IDESCSI is not set

#
# Filesystems
#
# CONFIG_QUOTA is not set
CONFIG_MINIX_FS=y
CONFIG_EXT_FS=y
CONFIG_EXT2_FS=y
# CONFIG_XIA_FS is not set
CONFIG_NLS=y
CONFIG_ISO9660_FS=y
# CONFIG_FAT_FS is not set
# CONFIG_MSDOS_FS is not set
# CONFIG_UMSDOS_FS is not set
# CONFIG_VFAT_FS is not set
CONFIG_NLS_CODEPAGE_437=y
# CONFIG_NLS_CODEPAGE_737 is not set
# CONFIG_NLS_CODEPAGE_775 is not set
CONFIG_NLS_CODEPAGE_850=y
CONFIG_NLS_CODEPAGE_852=y
# CONFIG_NLS_CODEPAGE_855 is not set
# CONFIG_NLS_CODEPAGE_857 is not set
# CONFIG_NLS_CODEPAGE_860 is not set
# CONFIG_NLS_CODEPAGE_861 is not set
# CONFIG_NLS_CODEPAGE_862 is not set
# CONFIG_NLS_CODEPAGE_863 is not set
# CONFIG_NLS_CODEPAGE_864 is not set
# CONFIG_NLS_CODEPAGE_865 is not set
# CONFIG_NLS_CODEPAGE_866 is not set
# CONFIG_NLS_CODEPAGE_869 is not set
# CONFIG_NLS_CODEPAGE_874 is not set
CONFIG_NLS_ISO8859_1=y
# CONFIG_NLS_ISO8859_2 is not set
# CONFIG_NLS_ISO8859_3 is not set
# CONFIG_NLS_ISO8859_4 is not set
# CONFIG_NLS_ISO8859_5 is not set
# CONFIG_NLS_ISO8859_6 is not set
# CONFIG_NLS_ISO8859_7 is not set
# CONFIG_NLS_ISO8859_8 is not set
# CONFIG_NLS_ISO8859_9 is not set
# CONFIG_NLS_KOI8_R is not set
CONFIG_PROC_FS=y
# CONFIG_NFS_FS is not set
# CONFIG_SMB_FS is not set
# CONFIG_HPFS_FS is not set
# CONFIG_SYSV_FS is not set
# CONFIG_AUTOFS_FS is not set
# CONFIG_AFFS_FS is not set
# CONFIG_UFS_FS is not set

#
# Character devices
#
CONFIG_SERIAL=y
# CONFIG_DIGI is not set
# CONFIG_CYCLADES is not set
# CONFIG_STALDRV is not set
# CONFIG_RISCOM8 is not set
# CONFIG_PRINTER is not set
# CONFIG_SPECIALIX is not set
# CONFIG_MOUSE is not set
# CONFIG_UMISC is not set
# CONFIG_QIC02_TAPE is not set
# CONFIG_FTAPE is not set
# CONFIG_APM is not set
# CONFIG_WATCHDOG is not set
CONFIG_RTC=y

#
# Sound
#
# CONFIG_SOUND is not set

#
# Kernel hacking
#
# CONFIG_PROFILE is not set

------------------------------------
************************************
The output of the build is as follows
------------------------------------
make[3]: Entering directory `/usr/src/linux-2.0.36/net/core'
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer
-fno-strength-reduce -pipe -m486 -DCPU=486  -c -o firewall.o
firewall.c
firewall.c:153: warning: implicit declaration of function
`_set_ver'
firewall.c:153: nondigits in number and not hexadecimal
firewall.c:153: floating constant exponent has no digits
firewall.c:153: invalid lvalue in unary `&'
firewall.c:153: initializer element for
`firewall_syms.symbol[0].addr' is not constant
firewall.c:154: nondigits in number and not hexadecimal
firewall.c:154: nondigits in number and not hexadecimal
firewall.c:154: numeric constant contains digits beyond the
radix
firewall.c:154: invalid lvalue in unary `&'
firewall.c:154: initializer element for
`firewall_syms.symbol[1].addr' is not constant
firewall.c:155: numeric constant contains digits beyond the
radix
firewall.c:155: invalid lvalue in unary `&'
firewall.c:155: initializer element for
`firewall_syms.symbol[2].addr' is not constant
firewall.c:156: nondigits in number and not hexadecimal
firewall.c:156: nondigits in number and not hexadecimal
firewall.c:156: invalid lvalue in unary `&'
firewall.c:156: initializer element for
`firewall_syms.symbol[3].addr' is not constant
firewall.c:157: `b4ec0dfa' undeclared here (not in a
function)
firewall.c:157: invalid lvalue in unary `&'
firewall.c:157: initializer element for
`firewall_syms.symbol[4].addr' is not constant
make[3]: *** [firewall.o] Error 1
make[3]: Leaving directory `/usr/src/linux-2.0.36/net/core'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory `/usr/src/linux-2.0.36/net/core'
make[1]: *** [sub_dirs] Error 2
make[1]: Leaving directory `/usr/src/linux-2.0.36/net'
make: *** [linuxsubdirs] Error 2
[root@router linux]#
-------------------------------------
*************************************
The list of installed rpm's on this machine is as follows:
-------------------------------------
[root@router linux]# rpm -qa
setup-1.9.2-1
filesystem-1.3.2-3
basesystem-4.9-3
ldconfig-1.9.5-8
AfterStep-1.5-0.7
AfterStep-APPS-1.5-0.3
AnotherLevel-0.7.3-1
arpwatch-2.1a4-5
glibc-2.0.7-29
mktemp-1.4-3
termcap-9.12.6-11
libtermcap-2.0.8-10
bash-1.14.7-13
ncurses-4.2-10
zlib-1.1.3-2
info-3.12-9
fileutils-3.16-10
grep-2.2-2
ash-0.2-12
chkconfig-0.9.6-1
at-3.1.7-4
autoconf-2.12-6
automake-1.3-2
bc-1.05a-1
bdflush-1.5-8
bind-utils-8.1.2-5
binutils-2.9.1.0.15-1
bootpc-061-8
control-panel-3.7-7
e2fsprogs-1.12-2
rmt-0.3-14
cpio-2.4.2-9
cracklib-2.7-2
cracklib-dicts-2.7-2
crontabs-1.7-3
shadow-utils-980403-4
dev-2.5.9-1
dhcpcd-0.70-2
diffutils-2.7-11
ed-0.2-8
eject-1.5-4
ElectricFence-2.0.5-11
emacs-20.3-3
emacs-nox-20.3-3
emacs-X11-20.3-3
etcskel-1.3-6
faq-5.2-2
file-3.25-2
findutils-4.1-25
finger-0.10-5
ftp-0.10-3
fvwm-1.24r-15
fvwm2-2.0.46-11
fvwm2-icons-2.0.46-11
fwhois-1.00-8
gawk-3.0.3-3
gcc-2.7.2.3-14
gd-1.3-3
gdb-4.17.0.4-3
gdbm-1.7.3-17
gdbm-devel-1.7.3-17
gecko-1.6-0
getty_ps-2.0.7j-4
ghostscript-4.03-1
git-4.3.17-3
glib-1.0.6-3
glibc-devel-2.0.7-29
glint-2.6.2-1
gnome-libs-0.20-3
gnome-linuxconf-0.14-4rh
gpm-1.13-8
groff-1.11a-6
gtk+-1.0.6-3
gzip-1.2.4-12
hdparm-3.3-2
helptool-2.4-4
howto-5.2-2
ical-2.2-7
imlib-1.8-5
indexhtml-5.2-3
initscripts-3.78-1
ipfwadm-2.3.0-6
isapnptools-1.15a-3
ispell-3.1.20-11
joe-2.8-14
kbd-0.96a-8
kbdconfig-1.8.3-1
kernel-ibcs-2.0.36-3
kernel-headers-2.0.36-3
kernelcfg-0.5-3
ld.so-1.9.5-8
less-332-2
libc-5.3.12-27
libg++-2.7.2.8-9
libjpeg-6b-7
libpng-1.0.1-5
libstdc++-2.8.0-14
libtiff-3.4-4
libungif-3.0-4
lilo-0.20-2
pwdb-0.55-1
sed-3.02-1
pamconfig-0.51-5
pam-0.64-3
sh-utils-1.16-14
textutils-1.22-7
linuxconf-1.12r5-6rh
logrotate-2.6-3
losetup-2.8a-2
lpg-0.4-2
lpr-0.33-1
lynx-2.8.1-5
m4-1.4-10
mailcap-1.0-9
mailx-8.1.1-5
make-3.76.1-5
MAKEDEV-2.3.1-7
man-1.5f-1
man-pages-1.21-1
mc-4.1.35-2
mingetty-0.9.4-8
mkbootdisk-1.1-2
mkinitrd-1.8-3
mkxauth-1.7-9
modemtool-1.21-3
modutils-2.1.85-9
mount-2.8a-2
mouseconfig-3.1.3-1
mpage-2.4-5
mt-st-0.5-1
ncftp-2.4.3-4
ncompress-4.2.4-11
net-tools-1.46-1
netcfg-2.19-5
netkit-base-0.10-13
newt-0.30-2
ntalk-0.10-4
ntsysv-0.9.6-1
passwd-0.50-11
patch-2.5-5
perl-5.004m4-1
pidentd-2.7-3
pine-4.04-2
pmake-1.0-10
portmap-4.0-12
procmail-3.10-13
procps-1.2.9-2
psmisc-17-3
python-1.5.1-5
pythonlib-1.22-2
quota-1.55-9
rdate-0.960923-5
readline-2.2.1-1
redhat-release-5.2-1
rhs-hwdiag-0.30-1
rhs-printfilters-1.46-3
rootfiles-5.2-2
rpm-2.5.5-5.2
rxvt-2.4.7-2
sash-2.1-1
sendmail-8.8.7-20
sendmail-cf-8.8.7-20
sendmail-doc-8.8.7-20
setconsole-1.0-5
setserial-2.14-4
setuptool-1.0-1
sharutils-4.2-10
slang-0.99.38-8
stat-1.5-8
strace-3.1-11
sysklogd-1.3-25
SysVinit-2.74-5
tar-1.12-4
tcl-8.0.3-20
tcp_wrappers-7.6-5
tcpdump-3.4-5
tcsh-6.07.09-1
telnet-0.10-5
time-1.7-6
timeconfig-2.5-1
timed-0.10-3
timetool-2.3-7
tk-8.0.3-20
tkinter-1.5.1-5
tksysv-1.0-3
tmpwatch-1.5.1-2
traceroute-1.4a5-7
ucd-snmp-3.5.3-2
ucd-snmp-utils-3.5.3-2
unzip-5.31-3
usernet-1.0.8-1
util-linux-2.8-11
vim-color-5.3-3
vim-common-5.3-3
vim-minimal-5.3-3
vim-X11-5.3-3
vixie-cron-3.0.1-26
which-1.0-8
wmconfig-0.6-1
words-2-11
X11R6-contrib-3.3.2-3
Xaw3d-1.3-17
xbanner-1.31-3
Xconfigurator-3.82-1
XFree86-3.3.2.3-25
XFree86-75dpi-fonts-3.3.2.3-25
XFree86-libs-3.3.2.3-25
XFree86-VGA16-3.3.2.3-25
XFree86-XF86Setup-3.3.2.3-25
xinitrc-1.6-1
xmailbox-2.5-5
xpm-3.4j-3
xterm-color-1.1-9
zip-2.1-4
XFree86-SVGA-3.3.2.3-25
kernel-2.0.36-3
kernel-source-2.0.36-3
----------------------------------
**********************************
No additional software was installed on this machine.

Comment 1 David Lawrence 1999-03-11 16:59:59 UTC
I was unable to generate these errors in our test lab.

Comment 2 openshift-github-bot 2016-11-02 18:10:14 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/42f3dc01d752b49dfa02389e8f231ee7b6220304
Merge pull request #796 from sg00dwin/header-border-issue779

Merged by openshift-bot


Note You need to log in before you can comment on or make changes to this bug.